#ifndef _EDITFERMENTABLE_H
#define _EDITFERMENTABLE_H

#include <QDialog>


namespace Ui {
class EditFermentable;
}

class EditFermentable : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditFermentable(int id, QWidget *parent = 0);
    ~EditFermentable();

private slots:
    void on_saveButton_clicked();
    void on_cloneButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void wk_changed(double val);
    void lintner_changed(double val);
    void prod_date_clear();
    void prod_date_today();
    void tht_date_clear();
    void tht_date_today();

private:
    Ui::EditFermentable *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
};

#endif
